Start an export job

This call lets you queue a job to export a file from a project on the Platform into a volume. The file selected for export must not be a public file or an alias. Aliases are objects stored in your cloud storage bucket which have been made available on the Platform. The volume you are exporting to must be configured for read-write access. To do this, set the access_mode parameter to RW when creating or modifying a volume.

Essentially, the call writes to your cloud storage bucket via the volume. If this call is successful, the original project file will become an alias to the newly exported object on the volume. The source file will be deleted from the Platform and, if no more copies of this file exist, it will no longer count towards your total storage price on the Platform. In summary, once you export a file from the Platform to a volume, it is no longer part of the storage on the Platform and cannot be exported again.

If you want to export multiple files, the recommended way is to do it in bulk considering the API rate limit (learn more).

Learn more about using the Volumes API for Amazon S3.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

If you are using Seven Bridges Platform EU, please use the following endpoint: https://eu-api.sbgenomics.com/v2/storage/exports

📘

When exporting a file from the Platform to an attached volume, export is possible only to a volume that is in the same location (cloud provider and region) as the project from which the file is being exported.

Example request body

{
  "destination":{ 
    "volume":"rfranklin/output",
    "location":"output.vcf"
 },
  "source":{
      "file":"567890abc1e5339df0414123"
  },
  "overwrite":false
}

Response

See a list of Seven Bridges Platform-specific response codes that may be contained in the body of the response.

Response body

The response object contains information about the status of the export job. The information is structured using the following key-value pairs:

KeyData type of valueDescription of value
idStringID of this export job
stateStringThe state of this export job. Possible values are:
  • PENDING: the export is queued
  • RUNNING: the export is running
  • COMPLETED: the export has completed successfully
  • FAILED: the export has failed
sourceObjectExport source, as passed when this job was started.
destinationObjectExport destination, as passed when this job was started.
resultObjectFile object that was exported.
errorObjectIn case of error in the export job, standard API error is returned here.
Query Params
boolean

If true, file will be copied to a volume but source file will remain on the Platform.

Body Params
source
object
required

This object should describe the source from which the file should be exported.

destination
object
required

This object should describe the destination to which the file will be exported.

boolean

If true and a file exists in the given location on the volume (respecting volume prefix if given), the API will attempt to delete the existing file on the volume before exporting. default: false

properties
object

Service-specific properties of the export. These values override the defaults from the volume.

Headers
string
required

Your Seven Bridges Platform authentication token. For security reasons, token will not be automatically populated in the generated code sample. Please replace <your-token-here> with your token before executing this call.

Response

Language
LoadingLoading…
Response
Choose an example:
application/json